Subject: bug#9873: 24.0.90; dired - window changes size when trying to delete more than one file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Oct 2011 20:30:42 +0200

> Date: Wed, 26 Oct 2011 16:22:59 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> Describing what `window-nest' does without referring to the window tree
> is virtually impossible (aat least for me).

Well, how about explaining why this variable was introduced, for
starters?  What problem(s) did its introduction try to solve?

>  > Is [splitting and unsplitting windows] the only user-visible
>  > effect of this variable?
> 
> No.  Suppose a window W is a vertical combination of two windows W1 and
> W2 and W2 is a vertical combination of two windows W3 and W4.  In this
> case resizing W will equally affect W1 and W2 and consequently W1 more
> than W3 or W4.  This is different from the case where W is a vertical
> combination of three live windows W1, W3 and W4.

Sorry, I don't get the drift.  What do you mean by "resizing W"? how
can one resize "a vertical combination" of 2 or 3 windows, which AFAIU
is just a node in the window tree, not a live window that is displayed
on a frame?  I mean, I can resize W1, W2, or W3, but how do I resize
their combination?